<ion-content class="background">

  <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)" style="z-index: 100;">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>

  <app-menu></app-menu>

  <div class="empty bg-primary"
    style="margin-top: -10px;   background-size: cover; z-index: -900 !important;
  background-repeat: no-repeat;
  background-position: center;background-image: url('../../assets/images/background3.jpg');">
  </div>

  <div class="ion-text-center image-over-div">
    <img src="{{userDetail.img}}" alt="" class="image-round border-white">
  </div>
  <div
    style="padding: 10px;background-color:#fddd3a;z-index: 999;margin-top: -55px;margin-bottom: 55px; width: 10px;position: relative;margin-left: 80%;">
  </div>

  <ion-card class="card" style="padding-top: 50px;">

    <ion-buttons slot="end">
      <ion-button>
        <ion-icon name="create"></ion-icon>
      </ion-button>
    </ion-buttons>

    <div class="ion-text-center">
      <h3>{{ userDetail.displayName }}</h3>
      <small>{{ userDetail.email }}</small><br>
      <br>
    </div>

    <ion-grid fixed class="">
      <ion-row class="ion-no-padding">
        <ion-col size="2">
          <div class="ion-text-center">
            <small></small>
          </div>
        </ion-col>
        <ion-col size="8">
          <div class="ion-text-center" style="margin-bottom: 30px;">
            <span class="text-statics-big text-tertiary"> <small (click)="resetPassword()">{{ passch }}<ion-icon size="small"
                  name="open-outline"></ion-icon></small></span> <br>
          </div>
          <!-- Enviar un mail para cambiar el password, cambiar mail dese la app no es seguro(tenemos que asegurarnos que tiene acceso al correo) -->
        </ion-col>
        <ion-col size="2">
          <div class="ion-text-center">
          </div>
        </ion-col>
      </ion-row>
    </ion-grid>

    <ion-footer>
      <ion-item lines="none">
        <ion-buttons slot="start" color="terciary">
          <ion-button color="tertiary" slot="start" (click)="profileeditmodal(userDetail.email)">
            <ion-icon size="small" name="create-outline"></ion-icon> {{edit}}
          </ion-button>
        </ion-buttons>
        <ion-buttons slot="end" color="terciary">
          <ion-button color="tertiary" slot="end" (click)="signOut()">{{exit}} <ion-icon name="log-out-outline">
            </ion-icon>
          </ion-button>
        </ion-buttons>
      </ion-item>
    </ion-footer>
  </ion-card>
  <ion-card>
  <ion-grid class="ion-align-items-center" style="text-align: center;padding-top: 10px;">
    <ion-row>
      <ion-col (click)="openPrivacyModal()"><ion-icon class="blue" size="large" name="shield-checkmark-outline"></ion-icon></ion-col>
      <ion-col (click)="openTermsandConditionsModal()"><ion-icon  class="blue" size="large" name="document-text-outline"></ion-icon></ion-col>
      <ion-col (click)="openLegalModal()"><ion-icon class="blue" size="large" name="hand-left-outline"></ion-icon></ion-col>
    </ion-row>
    <ion-row>
      <ion-col style="color: #2a2e30;" (click)="openPrivacyModal()" >Privacidad</ion-col>
      <ion-col style="color: #2a2e30;" (click)="openTermsandConditionsModal()">Term&Cond</ion-col>
      <ion-col style="color: #2a2e30;" (click)="openLegalModal()">Legal Notice</ion-col>
    </ion-row>
  </ion-grid>
  </ion-card>

  <p style="text-align:center;margin-bottom: 0px;padding-bottom: 0px;color:#fddd3a;font-size: small;" >AppUri © 2022</p>
</ion-content>
